/*
	This file is part of PPPCOSTS, version 0.03.
	Copyright (c) 1996 Tillmann Steinbrecher.
	May be distributed according to the terms of the GNU
	General Public License version 2. No warranty.

	Modified by Didier Chalm
	<Didier.Chalm@infini.fr>

	This is the cost file for the french phone company
	France Telekom.

	This is the most sophisticated cost file. Use this file
	as a basis for your own cost file if you want to consider
	holidays and/or different zones, e.g. for long distance
	calls.

	Please modify this file for your phone company's prices
	and send it to tst@bigfoot.com. Thanks a lot! 
*/

#define DECIMALS "2"

#define CURRENCY " FF"

#define CURRENCY_AFTER_COST

#define COSTS_PER_UNIT 0.74169 /* 0.615 F HT, TVA = 20.6 % */

/* UNE SEULE ZONE DOIT ETRE DEFINIE ! */

/* Zone locale et zone locale elargie */
#define	FT_ZONE1

/* entre 30 et 52 km */
/* #define	FT_ZONE2 */

/* entre 52 et 100 km */
/* #define	FT_ZONE3 */

/* superieur a 100 km */
/* #define	FT_ZONE4 */

#ifdef FT_ZONE1
#define	FT_DARK_BLUE	540
#define	FT_BLUE		360
#define	FT_WHITE	270
#define	FT_RED		180
#endif

#ifdef FT_ZONE2
#define	FT_DARK_BLUE	128
#define	FT_BLUE		90
#define	FT_WHITE	64
#define	FT_RED		45
#endif

#ifdef FT_ZONE3
#define	FT_DARK_BLUE	68
#define	FT_BLUE		48
#define	FT_WHITE	34
#define	FT_RED		24
#endif

#ifdef FT_ZONE4
#define	FT_DARK_BLUE	54
#define	FT_BLUE		38
#define	FT_WHITE	27
#define	FT_RED		19
#endif
int getunitlength(time_t tt){
	int unitsecs, d;
	struct tm* ct;
	float h;

	/* Phone unit lengths for France Telecom - hardcoded. */
	ct = localtime(&tt);
	h = ct->tm_hour + ct->tm_min/60.;
	d = ct->tm_wday;
	/* printf(" Il est %u:%u\n", ct->tm_hour, ct->tm_min); */
	/* Jours feries : d = 0 (= Dim) */
	/* Valeurs pour 1997 */
	
	

        if (   ct->tm_yday == 0         /* 1er janvier, Nouvel An */
                || ct->tm_yday == 89    /* 31 mars, Lundi de Paques */
                || ct->tm_yday == 120   /* 1er mai, Fete du Travail */
                || ct->tm_yday == 127   /* 8 mai, Ascension */
                || ct->tm_yday == 138   /* 19 mai, Lundi de Pentecote */
                || ct->tm_yday == 194   /* 14 juillet, Fete Nationale */
                || ct->tm_yday == 226   /* 15 aout, Assomption */
                || ct->tm_yday == 304   /* 1er novembre, Toussaint */
                || ct->tm_yday == 314   /* 11 novembre, Armistice 1918 */
                || ct->tm_yday == 358)  /* 25 decembre, Noel */
                        d = 0;
                        
	if (d == 0){  /* Dim ou jour ferie */
		if (h < 6)
			unitsecs = FT_DARK_BLUE;
		if (h >= 6 &&  h < 22.5)
			unitsecs = FT_BLUE;
		if (h >= 22.5)
			unitsecs = FT_DARK_BLUE;
	} else {
		if (d == 6){  /* Sam */
			if (h < 6)
				unitsecs = FT_DARK_BLUE;
			if (h >= 6 &&  h < 8.0)
				unitsecs = FT_BLUE;
			if (h >= 8.0 &&  h < 12.5)
				unitsecs = FT_RED;
			if (h >= 12.5 &&  h < 13.5)
				unitsecs = FT_WHITE;
			if (h >= 13.5 &&  h < 22.5)
				unitsecs = FT_BLUE;
			if (h >= 22.5)
				unitsecs = FT_DARK_BLUE;
		} else { /* Lun, Mar, Mer, Jeu, Ven */
			if (h < 6)
				unitsecs = FT_DARK_BLUE;
			if (h >= 6 &&  h < 8.0)
				unitsecs = FT_BLUE;
			if (h >= 8.0 &&  h < 12.5)
				unitsecs = FT_RED;
			if (h >= 12.5 &&  h < 13.5)
				unitsecs = FT_WHITE;
			if (h >= 13.5 &&  h < 18.5)
				unitsecs = FT_RED;
			if (h >= 18.5 &&  h < 21.5)
				unitsecs = FT_WHITE;
			if (h >= 21.5 &&  h < 22.5)
				unitsecs = FT_BLUE;
			if (h >= 22.5)
				unitsecs = FT_DARK_BLUE;
		}
	}
	return unitsecs;
}
